:::section{title="about"}

# About

:::body

The Dynamic Table of Contexts (DToC) provides:

- A free in-browser e-reader (no installation required for editors or readers) that uses a document's underlying structure to allow different paths through the text
- Paths for exploring appear dynamically in the table of contexts as selected based on the user's selection of one or more of the following:
  - free-text search terms
  - XML tags, curated with human-readable labels
  - XML tag attributes, broken out as separate "tags" with distinct labels
  - "index" terms generated from XML tags
- Contextual snippets within the table of contents, to inform whether to follow a particular path
- A dynamic document model that visualizes the frequency of user search terms and selections, and allows easy clicking through them
- Text "curation" -- determining what tags and labels are available for navigation, as well as which sections of the text are shown -- by readers as well as editors
- Ability to use and reuse one or more TEI files (which are not changed by DToC) to create multiple digital editions for different uses
- Optional storage, sharing, and collaboration through Github
- Movement to and from the LEAF-Writer editor for easy editorial workflows
- Ability to embed DToC e-reading view in external publishing contexts

:::

:::section{title="how-it-works"}

## How it works

:::body

DToC Commons "configures" one or more files encoded using the TEI (Text Encoding Initiative) guidelines, so that the editor can then "curate" the semantic tags in the file(s). By providing an index (either at the bottom of your document or in a separate file) that structures a subset of tags or attributes, an editor can optionally also produce an interactive back-of-the-book-style index that complements the semantic tagging. Other readers can also curate the edition to pursue and share their own readings of the text. 

When creating a new DToC, the editor opens the "Input Configuration Form" to enter metadata including URL(s) where the TEI-XML file(s) are hosted (we recommend GitHub for this purpose). The "Corpus Parts" section of the form requires the editor to add information in X-Path format so that the tool can properly structure the edition. 

:::

:::section{title="documentation"}

## Documentation

:::body

Tag curation is managed within the DToC environment, and work is saved in a JSON (JavaScript Object Notation) file. The .json file can be hosted online or downloaded to the desktop. Because the configuration is saved in that .json file, further work on the edition involves re-uploading the .json file from the desktop or re-opening and editing the .json file from via a link to where it is hosted online. 

For step-by-step instructions on how to add this information see [DToC Step-by-Step Tutorial](https://www.leaf-vre.org/docs/training/tutorials/dtoc-tutorial). Those interested in learning more about X-Path should look at the [W3 School tutorial](https://www.w3schools.com/xml/xml_xpath.asp). 
:::

:::section{title="team"}

## Credits

:::body

### Phase 1: Design, Prototyping, Implementation: Voyant (2007-2017)

Dynamic Table of Contexts developed to think through  interactions between semantic markup, navigational apparatus, & long-form argument. Implemented as part of Voyant Tools through the INKE Partnership

**Development:** Stéfan Sinclair, Andrew MacDonald

**Design:** Stan Ruecker, Jennifer Guiliano, Milena Radzikowska, Susan Brown

**Curating | Testing | Documenting:** Jeff Antoniuk, Nadine Adelaar, Sharon Balasz,  Mark Bieber, Anita Cutic,  Brooke Heller, Mihaela Ilovan,  Olga Ivanova, Ruth Knechtel, Thomas M. Nelson, Jeff Antoniuk, Megan Sellmer

**Scoping|Direction|Analysis:** Linda Cameron, Patricia Clements,Teresa Dobson, Isobel Grundy, Susan Liepert, Brent NelsonGeoffrey Rockwell, Scott Schofield
<br/><br/>


### Phase 2: Integrating editing & publishing: CWRC (2017-2023)

DToC integrated into the Canadian Writing Research Collaboratory's semantic editing and publishing workflows

**Development:** Andrew MacDonald, Jeffery Antoniuk, Nia Kathoni, Stéfan Sinclair

**Project management:** Mihaela Ilovan

**Scoping| Direction | Analysis:** Susan Brown
<br/><br/>


### Phase 3: Modular publication: LEAF (2013-)

DToC offered as part of the Linked Editing Academic Framework's suite of Commons tools for Text Encoding Initiative editing and publishing & as an integrated component of the LEAF Virtual Research Environment platform

**Development:** Andrew MacDonald, Luciano Frizzera, Umed Singh

**Scoping | Direction | Analysis:** Susan Brown, Diane Jakacki, James Cummings

**Project management:** Mihaela Ilovan

**Curating | Testing | Documenting:** Amelia Flynn, Kiera Obbard, Rachel Milio

:::